Page MenuHomePhabricator

ci: add ccache support
ClosedPublic

Authored by zmike on Jul 17 2018, 1:48 PM.

Details

Summary

this enables and implements full support for ccache on travis builds

fix T7126

also includes previously-submitted patches

ci: split out ccache config setup into separate script

this provides a more unified place to set ccache options

also enable ccache compression to cut down on cache upload/download overhead

ref D6613

ci: zero ccache stats before build and add some comments for options used

zeroing the stats before each build will provide more insight into the cache
performance for each build

ref D6621

ci: break out ccache stat printing into separate script

continue to make travis.yml more readable

ref D6622

ci: add more ccache config options to improve cache direct hits

ci: disable second cpp run for ccache

this should avoid running cpp twice for files

https://ccache.samba.org/manual.html#_the_preprocessor_mode
Depends on D6604

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 17 2018, 1:48 PM
zmike requested review of this revision.Jul 17 2018, 1:48 PM
zmike added a child revision: D6606: ci: add git install.
zmike updated this revision to Diff 15788.Jul 23 2018, 4:44 AM
zmike edited the summary of this revision. (Show Details)
zmike added a project: Restricted Project.
stefan_schmidt added inline comments.Jul 24 2018, 3:44 AM
.travis.yml
16

Two times the same definition

The commitlog confuses me a bit. The reference to previously submitted patches means these are now squashed into this one?

.ci/ci-configure.sh
72

Are all these CC="ccache gcc" setting really necessary when you set it as global env in the travis script which calls the scripts?

zmike planned changes to this revision.Jul 24 2018, 6:45 AM
stefan_schmidt accepted this revision.Jul 26 2018, 12:40 AM
This revision is now accepted and ready to land.Jul 26 2018, 12:40 AM
This revision was automatically updated to reflect the committed changes.